Bug 995870 - Zarafa does not (yet?) support MariaDB
Zarafa does not (yet?) support MariaDB
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zarafa (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 12:57 EDT by Torbjorn Jansson
Modified: 2014-07-27 23:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: zarafa-7.1.10-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-27 23:24:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
zarafa-7.1.4-mariadb-tag-not-unsigned.patch (583 bytes, patch)
2013-08-12 14:37 EDT, Robert Scheck
no flags Details | Diff
zarafa-7.1.5-sql_mode.patch (618 bytes, patch)
2013-12-17 18:46 EST, Robert Scheck
no flags Details | Diff

  None (edit)
Description Torbjorn Jansson 2013-08-11 12:57:33 EDT
Description of problem:
package php-mapi have dependency problems making it impossible to install zarafa on fedora 19

How reproducible:
yum install php-mapi
or
yum install zarafa


Actual results:
Error: Package: php-mapi-7.0.13-1.fc19.x86_64 (fedora)
           Requires: php(zend-abi) = 20100525-x86-64
           Installed: php-common-5.5.1-1.fc19.x86_64 (@updates)
               php(zend-abi) = 20121212-64
           Available: php-common-5.5.0-0.10.RC3.fc19.i686 (fedora)
               php(zend-abi) = 20121212-32
Error: Package: php-mapi-7.0.13-1.fc19.x86_64 (fedora)
           Requires: php(api) = 20100412-x86-64
           Installed: php-common-5.5.1-1.fc19.x86_64 (@updates)
               php(api) = 20121113-64
           Available: php-common-5.5.0-0.10.RC3.fc19.i686 (fedora)
               php(api) = 20121113-32
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:
expected result is that the packages got installed by yum.

Additional info:
Comment 1 Robert Scheck 2013-08-11 13:54:26 EDT
Please try and rate the new packages in updates-testing. Thank you!
Comment 2 Torbjorn Jansson 2013-08-12 01:57:29 EDT
did a little bit of testing.
all zarafa packages installed ok from the upates-testing repo and also webaccess apache config appears to have been fixed to work with latest apache (fc18 version of zarafa results in access denied on the webaccess due to missing permission option in the config file)

but zarafa-webaccess still have some issues.
output from http://localhost/webaccess
---
Directory Error: TMP_PATH doesn't exists
Please make sure this directory exists and is writable for PHP/Apache
Zarafa WebAccess can't start because of incompatible configuration.

Please correct above errors, a good start is by checking your '/etc/php.ini' file.

Or if you wish, you can disable this config check by editing the file '/usr/share/zarafa-webaccess/config.php', but this is not recommend.
---
TMP_PATH appears to come from /etc/zarafa/webaccess/config.php and it points to /var/lib/zarafa-webaccess/tmp
folder appears to exist and apache error log shows:
---
PHP Warning:  include(config.php): failed to open stream: Permission denied in /usr/share/zarafa-webaccess/index.php on line 63
PHP Warning:  include(): Failed opening 'config.php' for inclusion (include_path='.:/usr/share/pear:/usr/share/php') in /usr/share/zarafa-webaccess/index.php on line 63
PHP Notice:  Use of undefined constant COOKIE_NAME - assumed 'COOKIE_NAME' in /usr/share/zarafa-webaccess/index.php on line 82
PHP Notice:  Use of undefined constant TMP_PATH - assumed 'TMP_PATH' in /usr/share/zarafa-webaccess/server/class.configcheck.php on line 91
---
Comment 3 Robert Scheck 2013-08-12 02:42:26 EDT
I wonder why /usr/share/zarafa-webaccess/index.php can not include config.php
as this is the main issue (and causes all the other errors).

Can you re-check the permissions on /etc/zarafa and /etc/zarafa/webaccess? It
also could be a SELinux thing, thus try permissive for a moment.
Comment 4 Torbjorn Jansson 2013-08-12 13:43:54 EDT
selinux was already off when i tested it.
i restarted the computer and now i get to the logon page of zarafa webaccess.
perhaps i forgot to restart httpd or something on the first try.

after creating a user with zarafa-admin i try to logon via webaccess.
logon accepts account and starts to show the webaccess interface but everything is empty (no folders or mails) and all i get is a spinning circle that it is doing something.

/var/log/zarafa/server.log is filling up with sql errors similar to this:

Mon Aug 12 19:36:08 2013: SQL [00000014] result failed: BIGINT UNSIGNED value is out of range in '(`zarafa`.`properties`.`tag` - 0x8501)', Query: "SELECT 0,properties.tag,properties.type,properties.val_ulong,properties.val_string,properties.val_binary,properties.val_double,properties.val_longint,properties.val_hi,properties.val_lo, hierarchyid, names.nameid, names.namestring, names.guid FROM properties FORCE INDEX (PRIMARY) LEFT JOIN names ON (properties.tag-0x8501)=names.id WHERE hierarchyid=5 AND (tag <= 0x8500 OR names.id IS NOT NULL)"

this type of error showed up right after the first start of zarafa-server, after it said "Database is created" in the log
Comment 6 Robert Scheck 2013-08-12 14:37:35 EDT
Created attachment 785843 [details]
zarafa-7.1.4-mariadb-tag-not-unsigned.patch

Untested patch suggested by others in the Zarafa community
Comment 7 Jon 2013-09-12 14:03:03 EDT
Anyone upgrading to Fedora 19 should be aware:

I found following information on Features/ReplaceMySQLwithMariaDB

* "exclude=mariadb*" should be used during the upgrade from F18 to F19. Then it should be removed
*  If you really need to install community-mysql client library and/or devel files (packaged as community-mysql-libs, community-mysql-devel) instead of mariadb packages, note that you will have to keep mariadb-libs (which is the only package that doesn't conflict with community-mysql) to be able to use packages depending on mariadb client packages.

mariadb-libs have to be installed, although you are using community-mysql*.
Comment 8 Robert Scheck 2013-09-12 15:02:53 EDT
The soon upcoming Zarafa 7.1.6 will have changed dependencies till Zarafa is
somewhen supporting MariaDB. Pushing out Zarafa 7.1.5 nevertheless is more to
address the completely broken stuff from 7.0.x times.
Comment 9 Robert Scheck 2013-12-17 18:46:12 EST
Created attachment 838035 [details]
zarafa-7.1.5-sql_mode.patch

This patch looks more promising, however there is still no upstream decision
or fix so far.
Comment 10 Robert Scheck 2013-12-20 04:38:59 EST
Upstream ticket: https://jira.zarafa.com/browse/ZCP-11934
Comment 11 Fedora Update System 2014-07-08 01:41:13 EDT
zarafa-7.1.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-7896/zarafa-7.1.10-1.fc20
Comment 12 Fedora Update System 2014-07-08 01:41:33 EDT
zarafa-7.1.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2014-7889/zarafa-7.1.10-1.fc19
Comment 13 Fedora Update System 2014-07-08 01:41:47 EDT
zarafa-7.1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1782/zarafa-7.1.10-1.el6
Comment 14 Fedora Update System 2014-07-08 01:42:07 EDT
zarafa-7.1.10-1.el5, php53-mapi-7.1.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1780/zarafa-7.1.10-1.el5,php53-mapi-7.1.10-1.el5
Comment 15 Robert Scheck 2014-07-10 17:48:22 EDT
In theory, Zarafa 7.1.10 should add support for MariaDB. Practically it
does unfortunately not. The result with MariaDB 5.5.38 with a simple MAPI
login via e.g. WebAccess:

Jul 10 23:40:40 tux zarafa-server[24633]: SQL [00000002] result failed: BIGINT UNSIGNED value is out of range in '(`zarafa`.`properties`.`tag` - 0x8501)', Query: "SELECT 0,properties.tag,properties.type,properties.val_ulong,properties.val_string,properties.val_binary,properties.val_double,properties.val_longint,properties.val_hi,properties.val_lo, hierarchyid, names.nameid, names.namestring, names.guid FROM properties FORCE INDEX (PRIMARY) LEFT JOIN names ON (properties.tag-0x8501)=names.id WHERE hierarchyid=3 AND (tag <= 0x8500 OR names.id IS NOT NULL)"
Jul 10 23:40:40 tux zarafa-server[24633]: SQL [00000004] result failed: BIGINT UNSIGNED value is out of range in '(`zarafa`.`properties`.`tag` - 0x8501)', Query: "SELECT 0,properties.tag,properties.type,properties.val_ulong,properties.val_string,properties.val_binary,properties.val_double,properties.val_longint,properties.val_hi,properties.val_lo, hierarchyid, names.nameid, names.namestring, names.guid FROM properties FORCE INDEX (PRIMARY) LEFT JOIN names ON (properties.tag-0x8501)=names.id WHERE hierarchyid=4 AND (tag <= 0x8500 OR names.id IS NOT NULL)"
Jul 10 23:40:40 tux zarafa-server[24633]: SQL [00000006] result failed: BIGINT UNSIGNED value is out of range in '(`zarafa`.`properties`.`tag` - 0x8501)', Query: "SELECT 0,properties.tag,properties.type,properties.val_ulong,properties.val_string,properties.val_binary,properties.val_double,properties.val_longint,properties.val_hi,properties.val_lo, hierarchyid, names.nameid, names.namestring, names.guid FROM properties FORCE INDEX (PRIMARY) LEFT JOIN names ON (properties.tag-0x8501)=names.id WHERE hierarchyid=4 AND (tag <= 0x8500 OR names.id IS NOT NULL)"
Comment 16 Fedora Update System 2014-07-11 22:21:30 EDT
Package zarafa-7.1.10-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zarafa-7.1.10-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7896/zarafa-7.1.10-2.fc20
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2014-07-27 13:39:58 EDT
zarafa-7.1.10-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2014-07-27 13:40:23 EDT
zarafa-7.1.10-2.el5, php53-mapi-7.1.10-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2014-07-27 23:24:37 EDT
zarafa-7.1.10-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2014-07-27 23:25:26 EDT
zarafa-7.1.10-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.